Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUUtil

`java.lang.Object
oracle.jbo.uicli.binding.JUUtil`

public class JUUtil
extends java.lang.Object

Contains some static utility methods used by the framework.

Field Summary
`static java.lang.String` | `PROJECT_GLOBAL_VARIABLES`

Constructor Summary
`JUUtil()`

Method Summary
`static java.lang.Object` | `createNewInstance(java.lang.String className)` *** For internal framework use only ***
`static java.lang.Class` | `findClass(java.lang.String className)` *** For internal framework use only ***
`static java.lang.String` | `generateControlName(JUControlBinding controlBnd)` *** For internal framework use only ***
`static java.lang.String` | `generateFormName(JUFormBinding formBnd)` *** For internal framework use only ***
`static java.lang.String` | `generateIteratorName(JUIteratorBinding iterBnd)` *** For internal framework use only ***
`static boolean` | `isEmptyString(java.lang.String s)` *** For internal framework use only ***
`static void` | `registerNavigationBarInterface(JUPanelBinding panelBinding, oracle.adf.model.BindingContext bindCtx)`
`static void` | `registerStatusBarInterface(JUPanelBinding panelBinding, oracle.adf.model.BindingContext bindCtx)`
`static void` | `unRegisterNavigationBarInterface(JUPanelBinding panelBinding, oracle.adf.model.BindingContext bindCtx)`
`static void` | `unRegisterStatusBarInterface(JUPanelBinding panelBinding, oracle.adf.model.BindingContext bindCtx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROJECT_GLOBAL_VARIABLES

    public static java.lang.String PROJECT_GLOBAL_VARIABLES

Constructor Detail

### JUUtil

    public JUUtil()

Method Detail

### findClass

    public static java.lang.Class findClass(java.lang.String className)

  *** For internal framework use only ***

### createNewInstance

    public static java.lang.Object createNewInstance(java.lang.String className)

  *** For internal framework use only ***

### generateFormName

    public static java.lang.String generateFormName(JUFormBinding formBnd)

  *** For internal framework use only ***

### generateIteratorName

    public static java.lang.String generateIteratorName(JUIteratorBinding iterBnd)

  *** For internal framework use only ***

### generateControlName

    public static java.lang.String generateControlName(JUControlBinding controlBnd)

  *** For internal framework use only ***

### isEmptyString

    public static boolean isEmptyString(java.lang.String s)

  *** For internal framework use only ***

### registerNavigationBarInterface

    public static void registerNavigationBarInterface(JUPanelBinding panelBinding,
                                                      oracle.adf.model.BindingContext bindCtx)

### registerStatusBarInterface

    public static void registerStatusBarInterface(JUPanelBinding panelBinding,
                                                  oracle.adf.model.BindingContext bindCtx)

### unRegisterNavigationBarInterface

    public static void unRegisterNavigationBarInterface(JUPanelBinding panelBinding,
                                                        oracle.adf.model.BindingContext bindCtx)

### unRegisterStatusBarInterface

    public static void unRegisterStatusBarInterface(JUPanelBinding panelBinding,
                                                    oracle.adf.model.BindingContext bindCtx)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.